# CardGameSender (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.card.server
Class CardGameSender

    java.lang.Object
      com.threerings.presents.server.InvocationSender
          com.threerings.parlor.card.server.CardGameSender

    public class CardGameSender

extends com.threerings.presents.server.InvocationSender

Used to issue notifications to a `CardGameReceiver` instance on a client.

Constructor Summary
`CardGameSender()`

Method Summary
`static void` `cardsTransferredBetweenPlayers(com.threerings.presents.data.ClientObject target, int arg1, int arg2, int arg3)` Issues a notification that will result in a call to `CardGameReceiver.cardsTransferredBetweenPlayers(int, int, int)` on a client.
`static void` `sendCardsFromPlayer(com.threerings.presents.data.ClientObject target, int arg1, Card[] arg2)` Issues a notification that will result in a call to `CardGameReceiver.receivedCardsFromPlayer(int, com.threerings.parlor.card.data.Card[])` on a client.
`static void` `sendHand(com.threerings.presents.data.ClientObject target, int arg1, Hand arg2)` Issues a notification that will result in a call to `CardGameReceiver.receivedHand(int, com.threerings.parlor.card.data.Hand)` on a client.
`static void` `sentCardsToPlayer(com.threerings.presents.data.ClientObject target, int arg1, Card[] arg2)` Issues a notification that will result in a call to `CardGameReceiver.sentCardsToPlayer(int, com.threerings.parlor.card.data.Card[])` on a client.

Methods inherited from class com.threerings.presents.server.InvocationSender
`sendNotification, sendNotification`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CardGameSender

    public CardGameSender()

Method Detail

### cardsTransferredBetweenPlayers

    public static void cardsTransferredBetweenPlayers(com.threerings.presents.data.ClientObject target,
                                                      int arg1,
                                                      int arg2,
                                                      int arg3)

  Issues a notification that will result in a call to `CardGameReceiver.cardsTransferredBetweenPlayers(int, int, int)` on a client.

### sendCardsFromPlayer

    public static void sendCardsFromPlayer(com.threerings.presents.data.ClientObject target,
                                           int arg1,
                                           Card[] arg2)

  Issues a notification that will result in a call to `CardGameReceiver.receivedCardsFromPlayer(int, com.threerings.parlor.card.data.Card[])` on a client.

### sendHand

    public static void sendHand(com.threerings.presents.data.ClientObject target,
                                int arg1,
                                Hand arg2)

  Issues a notification that will result in a call to `CardGameReceiver.receivedHand(int, com.threerings.parlor.card.data.Hand)` on a client.

### sentCardsToPlayer

    public static void sentCardsToPlayer(com.threerings.presents.data.ClientObject target,
                                         int arg1,
                                         Card[] arg2)

  Issues a notification that will result in a call to `CardGameReceiver.sentCardsToPlayer(int, com.threerings.parlor.card.data.Card[])` on a client.

Copyright © 2011. All Rights Reserved.